<ion-header>
  <ion-toolbar>
    <ion-title>KioskMensajes</ion-title>
  </ion-toolbar>
</ion-header>
    
    <span>Este es el Kiosko: {{kiosko}}</span>

    <ion-buttons slot="end" color="primary">
        <ion-button (click)="disconnet()" slot="end" >
          <ion-icon  name="power" color="primary"></ion-icon>
        </ion-button>
    </ion-buttons>

  <ion-content>
    
  
    <ion-card>
      <ion-card-header>
        <ion-card-subtitle></ion-card-subtitle>
        <ion-card-title>Mensajes de  Kioskos</ion-card-title>
      </ion-card-header>
      <ion-card-content>
        <li *ngFor="let msj of messages">{{msj}}</li>
      </ion-card-content>
    </ion-card>


    <ion-card>
        <ion-card-header>
          <ion-card-subtitle></ion-card-subtitle>
          <ion-card-title>Kioskos Conectados: {{(kioskos.length)}}</ion-card-title>
        </ion-card-header>
        <ion-card-content>
            <li *ngFor="let kio of kioskos">{{kio}} - <ion-button *ngIf="kio!==kiosko" (click)="enabledMsj(kio)" slot="end"  fill="clear" class="send-chat-button button-mensaje">
              <ion-icon slot="icon-only" name="mail"></ion-icon>
           </ion-button> </li>
        </ion-card-content>
    </ion-card>


    


    <ion-card>
        <ion-card-header>
          <ion-card-subtitle></ion-card-subtitle>
          <ion-card-title>Mensajes para {{kiosko}} </ion-card-title>
        </ion-card-header>
        <ion-card-content>
            <li *ngFor="let msj of msjPersonal">{{ msj }}</li>
        </ion-card-content>
      </ion-card>
    

</ion-content>






<ion-footer>

    <ion-toolbar>
  
      <textarea spellcheck="true" autoComplete="true" autocorrect="true" rows="1" class="chat-input" [(ngModel)]="message" placeholder="Escribir Mensaje para todos" (keyup.enter)="addChat()">
      </textarea>
  
      <ion-buttons slot="primary">
        <ion-button (click)="addChat()" slot="end" class="send-chat-button">
           <ion-icon slot="icon-only" name="send"></ion-icon>
        </ion-button>
      </ion-buttons>
  
    </ion-toolbar>
  
  </ion-footer> 
  